;----------------------------------------------------------------------------
; Scan codes
;----------------------------------------------------------------------------
scEsc		= 01h
sc1		= 02h
sc2		= 03h
sc3		= 04h
sc4		= 05h
sc5		= 06h
sc6		= 07h
sc7		= 08h
sc8		= 09h
sc9		= 0ah
sc0		= 0bh
scMinus 	= 0ch
scPlus		= 0dh
scBack		= 0eh
scTb		= 0fh
scQ		= 10h
scW		= 11h

scE		= 12h
scR		= 13h
scT		= 14h
scY		= 15h
scU		= 16h
scI		= 17h
scO		= 18h
scP		= 19h
scLBracket	= 1ah
scRBracket	= 1bh
scEnter 	= 1ch
scCtrl		= 1dh
scA		= 1eh
scS		= 1fh
scD		= 20h
scF		= 21h
scG		= 22h

scH		= 23h
scJ		= 24
scK		= 25h
scL		= 26
scSemiColon	= 27h
scQuote 	= 28h
scQuoteX	= 29h
scShift 	= 2ah
scBkSlash	= 2bh
scZ		= 2ch
scX		= 2dh
scC		= 2eh
scV		= 2fh
scB		= 30h
scN		= 31h
scM		= 32h
scComma 	= 33h

scDot		= 34h
scSlash 	= 35h
scRShift	= 36h
scAster 	= 37h
scAlt		= 38h
scSpace 	= 39h
scCapsLock	= 3ah
scF1		= 3bh
scF2		= 3ch
scF3		= 3dh
scF4		= 3eh
scF5		= 3fh
scF6		= 40h
scF7		= 41h
scF8		= 42h
scF9		= 43h
scF10		= 44h

scNumLock	= 45h
scScroll	= 46h
scHome		= 47h
scUp		= 48h
scPgUp		= 49h
scGrayMinus	= 4ah
scLeft		= 4bh
scGray5 	= 4ch
scRight 	= 4dh
scGrayPlus	= 4eh
scEnd		= 4fh
scDown		= 50h
scPgDn		= 51h
scIns		= 52h
scDel		= 53h

;----------------------------------------------------------------------------
; ASCII codes
;----------------------------------------------------------------------------

kbCtrlA     = 1E01h
kbCtrlB     = 3002h
kbCtrlC     = 2E03h
kbCtrlD     = 2004h
kbCtrlE     = 1205h
kbCtrlF     = 2106h
kbCtrlG     = 2207h
kbCtrlH     = 2308h
kbCtrlI     = 1709h

kbCtrlJ     = 240Ah
kbCtrlK     = 250Bh
kbCtrlL     = 260Ch
kbCtrlM     = 320Dh
kbCtrlN     = 310Eh
kbCtrlO     = 180Fh
kbCtrlP     = 1910h
kbCtrlQ     = 1011h
kbCtrlR     = 1312h

kbCtrlS     = 1F13h
kbCtrlT     = 1414h
kbCtrlU     = 1615h
kbCtrlV     = 2F16h
kbCtrlW     = 1117h
kbCtrlX     = 2D18h
kbCtrlY     = 1519h
kbCtrlZ     = 2C1Ah

kbAltA	    = 1E00h
kbAltB	    = 3000h
kbAltC	    = 2E00h
kbAltD	    = 2000h
kbAltE	    = 1200h
kbAltF	    = 2100h
kbAltG	    = 2200h
kbAltJ	    = 2400h
kbAltK	    = 2500h
kbAltL	    = 2600h
kbAltM	    = 3200h
kbAltN	    = 3100h
kbAltO	    = 1800h
kbAltP	    = 1900h
kbAltS	    = 1F00h
kbAltT	    = 1400h
kbAltU	    = 1600h
kbAltV	    = 2F00h
kbAltW	    = 1100h
kbAltX	    = 2D00h
kbAltY	    = 1500h
kbAltH	    = 2300h
kbAltI	    = 1700h
kbAltQ	    = 1000h
kbAltR	    = 1300h
kbAltZ	    = 2C00h

kbAlt1	    = 7800h
kbAlt2	    = 7900h
kbAlt3	    = 7A00h
kbAlt4	    = 7B00h
kbAlt5	    = 7C00h
kbAlt6	    = 7D00h
kbAlt7	    = 7E00h
kbAlt8	    = 7F00h
kbAlt9	    = 8000h
kbAlt0	    = 8100h

kbF1	    = 3B00h
kbF2	    = 3C00h
kbF3	    = 3D00h
kbF4	    = 3E00h
kbShiftF1   = 5400h
kbShiftF2   = 5500h
kbShiftF3   = 5600h
kbShiftF4   = 5700h
kbAltF1     = 6800h
kbAltF2     = 6900h
kbAltF3     = 6A00h
kbAltF4     = 6B00h
kbCtrlF1    = 5E00h
kbCtrlF2    = 5F00h
kbCtrlF3    = 6000h
kbCtrlF4    = 6100h

kbF5	    = 3F00h
kbF6	    = 4000h
kbF7	    = 4100h
kbF8	    = 4200h
kbShiftF5   = 5800h
kbShiftF6   = 5900h
kbShiftF7   = 5A00h
kbShiftF8   = 5B00h
kbAltF5     = 6C00h
kbAltF6     = 6D00h
kbAltF7     = 6E00h
kbAltF8     = 6F00h
kbCtrlF5    = 6200h
kbCtrlF6    = 6300h
kbCtrlF7    = 6400h
kbCtrlF8    = 6500h

kbF9	    = 4300h
kbF10	    = 4400h
kbF11	    = 8500h
kbF12	    = 8600h
kbShiftF9   = 5C00h
kbShiftF10  = 5D00h
kbShiftF11  = 8700h
kbShiftF12  = 8800h
kbAltF9     = 7000h
kbAltF10    = 7100h
kbAltF11    = 8B00h
kbAltF12    = 8C00h
kbCtrlF9    = 6600h
kbCtrlF10   = 6700h
kbCtrlF11   = 8900h
kbCtrlF12   = 8A00h

kbTab	    = 0F09h
kbIns	    = 5200h
kbDel	    = 5300h
kbBack	    = 0E08h
kbUp	    = 4800h
kbDown	    = 5000h
kbLeft	    = 4B00h
kbRight     = 4D00h
kbPgUp	    = 4900h
kbPgDn	    = 5100h
kbHome	    = 4700h
kbEnd	    = 4f00h
kbEnter     = 1C0Dh
kbEsc	    = 011Bh
kbSpace     = 3920h

kbCtrlTab   = 9400h
kbCtrlIns   = 0400h
kbCtrlDel   = 0600h
kbCtrlBack  = 0E7Fh
kbCtrlUp    = 8D00h
kbCtrlDown  = 9100h
kbCtrlLeft  = 7300h
kbCtrlRight = 7400h
kbCtrlPgUp  = 8400h
kbCtrlPgDn  = 7600h
kbCtrlHome  = 7700h
kbCtrlEnd   = 7500h
kbCtrlEnter = 1C0Ah
kbAltEsc    = 0100h
kbAltSpace  = 0200h

kbAltTab    = 0A500h
kbAltIns    = 0A200h
kbAltDel    = 0A300h
kbAltBack   = 0E00h
kbAltUp     = 9800h
kbAltDown   = 0A000h
kbAltLeft   = 9B00h
kbAltRight  = 9D00h
kbAltPgUp   = 9900h
kbAltPgDn   = 0A100h
kbAltHome   = 9700h
kbAltEnd    = 9F00h
kbAltEnter  = 1C00h

kbShiftTab  = 0F00h
kbAltMinus  = 8200h
kbAltPlus   = 8300h
kbAltEqual  = 8300h
kbAltTilda  = 2900h

kbCtrlPrtSc	= 7200h
kbCtrlGrayEnter = 0E00Ah
kbCtrlGrayPlus	= 9000h
kbCtrlGrayMinus = 8E00h
kbCtrlGrayAster = 9600h
kbCtrlGraySlash = 9500h
kbCtrlPad5	= 8F00h

kbPrnScr       = 0FF00h
kbAltGrayEnter = 0A600h
kbAltGrayPlus  = 4E00h
kbAltGrayMinus = 4A00h
kbAltGrayAster = 3700h
kbAltGraySlash = 0A400h
kbPad5	       = 4C00h

kbGrayPlus  = 4E2Bh
kbGrayMinus = 4A2Dh
kbGrayAster = 372Ah
kbGraySlash = 0E02Fh
